import request from '@/utils/request'

export function batchReview(data) {
  return request({
    url: '/gas/roadSectionInspection/batchReview',
    method: 'POST',
    data: data
  })
}
// 查询路段巡查列表
export function listRoadSectionInspection(query) {
  return request({
    url: '/gas/roadSectionInspection/list',
    method: 'get',
    params: query
  })
}

// 查询路段巡查详细
export function getRoadSectionInspection(id) {
  return request({
    url: '/gas/roadSectionInspection/' + id,
    method: 'get'
  })
}

// 新增路段巡查
export function addRoadSectionInspection(data) {
  return request({
    url: '/gas/roadSectionInspection',
    method: 'post',
    data: data
  })
}

// 修改路段巡查
export function updateRoadSectionInspection(data) {
  return request({
    url: '/gas/roadSectionInspection',
    method: 'put',
    data: data
  })
}

// 路段巡查 批量审核
export function batchReviewsRoadSectionInspection(data) {
  return request({
    url: '/gas/roadSectionInspection/batchReviews',
    method: 'put',
    data: data
  })
}

// 删除路段巡查
export function delRoadSectionInspection(id) {
  return request({
    url: '/gas/roadSectionInspection/' + id,
    method: 'delete'
  })
}
export function getReviewList(data) {
  return request({
    url: '/gas/roadSectionInspection/reviewList',
    method: 'get',
    params: data
  })
}
